pcl::CloudIterator< PointT > Class Template Reference

Iterator class for point clouds with or without given indices. More...

`#include <pcl/cloud_iterator.h>`

## Public Member Functions

| CloudIterator (PointCloud< PointT > &cloud)
| CloudIterator (PointCloud< PointT > &cloud, const std::vector< int > &indices)
| CloudIterator (PointCloud< PointT > &cloud, const PointIndices &indices)
| CloudIterator (PointCloud< PointT > &cloud, const Correspondences &corrs, bool source)
| ~CloudIterator ()
void | operator++ ()
void | operator++ (int)
PointT & | operator* () const
PointT * | operator-> () const
unsigned | getCurrentPointIndex () const
unsigned | getCurrentIndex () const
size_t | size () const
| Size of the range the iterator is going through. More...
void | reset ()
bool | isValid () const
| operator bool () const

## Detailed Description

### template<typename PointT>
class pcl::CloudIterator< PointT >

Iterator class for point clouds with or without given indices.

Author
  Suat Gedikli

Definition at line 52 of file cloud_iterator.h.

## Constructor & Destructor Documentation

template<class PointT >

pcl::CloudIterator< PointT >::CloudIterator | ( | PointCloud< PointT > & | cloud | ) |

Definition at line 331 of file cloud_iterator.hpp.

template<class PointT >

pcl::CloudIterator< PointT >::CloudIterator | ( | PointCloud< PointT > & | cloud,
|  | const std::vector< int > & | indices
| ) |  |

Definition at line 338 of file cloud_iterator.hpp.

template<class PointT >

pcl::CloudIterator< PointT >::CloudIterator | ( | PointCloud< PointT > & | cloud,
|  | const PointIndices & | indices
| ) |  |

Definition at line 346 of file cloud_iterator.hpp.

template<class PointT >

pcl::CloudIterator< PointT >::CloudIterator | ( | PointCloud< PointT > & | cloud,
|  | const Correspondences & | corrs,
|  | bool | source
| ) |  |

Definition at line 354 of file cloud_iterator.hpp.

template<class PointT >

pcl::CloudIterator< PointT >::~CloudIterator | ( |  | ) |

Definition at line 374 of file cloud_iterator.hpp.

## Member Function Documentation

template<class PointT >

unsigned pcl::CloudIterator< PointT >::getCurrentIndex | ( |  | ) | const

Definition at line 416 of file cloud_iterator.hpp.

Referenced by pcl::CloudIterator< PointT >::operator bool(), and pcl::ConstCloudIterator< PointT >::operator bool().

template<class PointT >

unsigned pcl::CloudIterator< PointT >::getCurrentPointIndex | ( |  | ) | const

Definition at line 409 of file cloud_iterator.hpp.

Referenced by pcl::CloudIterator< PointT >::operator bool(), and pcl::ConstCloudIterator< PointT >::operator bool().

template<class PointT >

bool pcl::CloudIterator< PointT >::isValid | ( |  | ) | const

Definition at line 437 of file cloud_iterator.hpp.

Referenced by pcl::CloudIterator< PointT >::operator bool(), and pcl::ConstCloudIterator< PointT >::operator bool().

template<typename PointT >

pcl::CloudIterator< PointT >::operator bool | ( |  | ) | const

inline

Definition at line 84 of file cloud_iterator.h.

References pcl::CloudIterator< PointT >::getCurrentIndex(), pcl::CloudIterator< PointT >::getCurrentPointIndex(), pcl::CloudIterator< PointT >::isValid(), pcl::CloudIterator< PointT >::operator*(), pcl::CloudIterator< PointT >::operator++(), pcl::CloudIterator< PointT >::operator->(), pcl::CloudIterator< PointT >::reset(), and pcl::CloudIterator< PointT >::size().

template<class PointT >

PointT & pcl::CloudIterator< PointT >::operator* | ( |  | ) | const

Definition at line 395 of file cloud_iterator.hpp.

Referenced by pcl::CloudIterator< PointT >::operator bool(), and pcl::ConstCloudIterator< PointT >::operator bool().

template<class PointT >

void pcl::CloudIterator< PointT >::operator++ | ( |  | ) |

Definition at line 381 of file cloud_iterator.hpp.

Referenced by pcl::CloudIterator< PointT >::operator bool(), and pcl::ConstCloudIterator< PointT >::operator bool().

template<class PointT >

void pcl::CloudIterator< PointT >::operator++ | ( | int |  | ) |

Definition at line 388 of file cloud_iterator.hpp.

template<class PointT >

PointT * pcl::CloudIterator< PointT >::operator-> | ( |  | ) | const

Definition at line 402 of file cloud_iterator.hpp.

Referenced by pcl::CloudIterator< PointT >::operator bool(), and pcl::ConstCloudIterator< PointT >::operator bool().

template<class PointT >

void pcl::CloudIterator< PointT >::reset | ( |  | ) |

Definition at line 430 of file cloud_iterator.hpp.

Referenced by pcl::CloudIterator< PointT >::operator bool(), and pcl::ConstCloudIterator< PointT >::operator bool().

template<class PointT >

size_t pcl::CloudIterator< PointT >::size | ( |  | ) | const

Size of the range the iterator is going through.

Depending on how the CloudIterator was constructed this is the size of the cloud or indices/correspondences.

Definition at line 423 of file cloud_iterator.hpp.

Referenced by pcl::CloudIterator< PointT >::operator bool(), and pcl::ConstCloudIterator< PointT >::operator bool().

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/cloud_iterator.h
- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/cloud_iterator.hpp